LibreOffice: XFormatCondition Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
XFormatCondition Interface Reference

specifies a format condition for a control. More...

Inheritance diagram for XFormatCondition:

## Exported Interfaces
interface | XReportControlFormat
interface | com::sun::star::beans::XPropertySet
| gives access to the properties.

## Public Attributes
boolean | Enabled
| specifies if the condition is enabled or not.
string | Formula
| defines the formula of the format condition.
Public Attributes inherited from XReportControlFormat
com::sun::star::util::Color | ControlBackground { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the background color (RGB) of the control.
boolean | ControlBackgroundTransparent { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines if the background color is set to transparent.
short | ParaAdjust { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the horizontal alignment of the text.
com::sun::star::awt::FontDescriptor | FontDescriptor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control.
com::sun::star::awt::FontDescriptor | FontDescriptorAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control.
com::sun::star::awt::FontDescriptor | FontDescriptorComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control.
short | ControlTextEmphasis { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the com::sun::star::text::FontEmphasis value of the text in the control.
short | CharEmphasis { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the font emphasis value as com::sun::star::text::FontEmphasis.
boolean | CharCombineIsOn { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines whether text is formatted in two lines.
string | CharCombinePrefix { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the suffix (usually parenthesis) after text that is formatted in two lines.
boolean | CharHidden { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this optional property is `TRUE`, then the characters are invisible.
boolean | CharShadowed { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies if the characters are formatted and displayed with a shadow effect.
boolean | CharContoured { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies if the characters are formatted and displayed with a contour effect.
short | CharCaseMap { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property which contains the value of the case-mapping of the text for formatting and displaying.
com::sun::star::lang::Locale | CharLocale { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale.
short | CharEscapement { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the percentage by which to raise/lower superscript/subscript characters.
byte | CharEscapementHeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This is the additional height used for subscript or superscript characters in units of percent.
boolean | CharAutoKerning { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property to determine whether the kerning tables from the current font are used.
short | CharKerning { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property which contains the value of the kerning of the characters.
boolean | CharFlash { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this optional property is `TRUE`, then the characters are flashing.
short | CharRelief { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the com::sun::star::text::FontRelief value of the text in the control.
string | CharFontName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute specifies the name of the font style.
string | CharFontStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the name of the font style.
short | CharFontFamily { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSet { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitch { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::util::Color | CharColor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the text color (RGB) of the control.
com::sun::star::util::Color | CharUnderlineColor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the text line color (RGB) of the control.
float | CharHeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point.
short | CharUnderline { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value for the character underline.
float | CharWeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value of the posture of the document.
short | CharStrikeout { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the type of the strike out of the character.
boolean | CharWordMode { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this attribute is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharRotation { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the rotation of a character in degree.
short | CharScaleWidth { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the percentage value for scaling the width of characters.
com::sun::star::style::VerticalAlignment | VerticalAlign { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the vertical alignment of the text in the control.
string | HyperLinkURL { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the URL of a hyperlink (if set).
string | HyperLinkTarget { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the name of the target for a hyperlink (if set).
string | HyperLinkName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the name of the hyperlink (if set).
string | VisitedCharStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the character style name for unvisited hyperlinks.
float | CharHeightAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point.
float | CharWeightAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the font weight.
string | CharFontNameAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property specifies the name of the font style.
string | CharFontStyleNameAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the name of the font style.
short | CharFontFamilyAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale.
float | CharHeightComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point.
float | CharWeightComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the font weight.
string | CharFontNameComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property specifies the name of the font style.
string | CharFontStyleNameComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the name of the font style.
short | CharFontFamilyComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale.

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a format condition for a control.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties.

## ◆ XReportControlFormat

interface XReportControlFormat

## Member Data Documentation

## ◆ Enabled

boolean Enabled
| attributebound

specifies if the condition is enabled or not.

## ◆ Formula

string Formula
| attributebound

defines the formula of the format condition.

If the formula evaluates to `TRUE` then the format will be applied.

The documentation for this interface was generated from the following file:

- com/sun/star/report/XFormatCondition.idl